Bug 1344264 (CVE-2015-8898) - CVE-2015-8898 ImageMagick: Prevent NULL pointer access in magick/constitute.c
Summary: CVE-2015-8898 ImageMagick: Prevent NULL pointer access in magick/constitute.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8898
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1341777 1341778 1341779 1341780 1344266
Blocks: 1333419
TreeView+ depends on / blocked
 
Reported: 2016-06-09 09:50 UTC by Stefan Cornelius
Modified: 2019-11-14 08:20 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:54:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1237 normal SHIPPED_LIVE Important: ImageMagick security update 2016-07-18 17:06:55 UTC

Description Stefan Cornelius 2016-06-09 09:50:35 UTC
A null pointer dereference flaw has been discovered in the constitute image
functionality, which could lead to an application crash.

External references:

https://github.com/ImageMagick/ImageMagick/pull/34
http://seclists.org/oss-sec/2016/q2/459

Patch:

https://github.com/ImageMagick/ImageMagick/pull/34/commits/aa785715d46f2b18b60c652a177c57bc8f0a0a68

Comment 1 Stefan Cornelius 2016-06-09 09:51:25 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1344266]

Comment 3 errata-xmlrpc 2016-06-16 22:49:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1237 https://access.redhat.com/errata/RHSA-2016:1237


Note You need to log in before you can comment on or make changes to this bug.